#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  id3lib-3.8.3

- Next

  Libao-1.2.0

- Up
- Home

# Liba52-0.7.4

## Introduction to Liba52

liba52 is a free library for decoding ATSC A/52 (also known as AC-3) streams. The A/52 standard is used in a variety of applications, including digital television and DVD.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): http://liba52.sourceforge.net/files/a52dec-0.7.4.tar.gz

- Download MD5 sum: caa9f5bc44232dc8aeea773fea56be80

- Download size: 236 KB

- Estimated disk space required: 2.5 MB

- Estimated build time: less than 0.1 SBU

#### Optional

djbfft

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/liba52

## Installation of Liba52

Install liba52 by running the following commands:

    ./configure --prefix=/usr \
                --mandir=/usr/share/man \
                --enable-shared \
                --disable-static \
                CFLAGS="-g -O2 $([ $(uname -m) = x86_64 ] && echo -fPIC)" &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install &&
    cp liba52/a52_internal.h /usr/include/a52dec &&
    install -v -m644 -D doc/liba52.txt \
        /usr/share/doc/liba52-0.7.4/liba52.txt

## Command Explanations

`CFLAGS="-g -O2 ...`: This sets CFLAGS to -g -O2 (which is the default) but then on x86_64 adds -fPIC. This is needed to compile liba52 on x86_64.

`--disable-static`: This switch prevents installation of static versions of the libraries.

cp liba52/a52_internal.h ...: Copying this header file into /usr/include/a52dec allows some other programs (such as xine-lib) to compile and link against a system installed liba52.

## Contents

Installed Programs: a52dec and extract_a52
Installed Library: liba52.so
Installed Directories: /usr/include/a52dec and /usr/share/doc/liba52-0.7.4

### Short Descriptions

a52dec | plays ATSC A/52 audio streams
extract_a52 | extracts ATSC A/52 audio from an MPEG stream
`liba52.so` | provides functions for the programs dealing with ATSC A/52 streams

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  id3lib-3.8.3

- Next

  Libao-1.2.0

- Up
- Home